Skip to main content
Get information about a specific version of an application
curl --request GET \
  --url https://sapi.withsutro.com/applications/{applicationId}/versions/{version} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-sutro-api-client: <api-key>'
import requests

url = "https://sapi.withsutro.com/applications/{applicationId}/versions/{version}"

headers = {
    "Authorization": "Bearer <token>",
    "x-sutro-api-client": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
  method: 'GET',
  headers: {Authorization: 'Bearer <token>', 'x-sutro-api-client': '<api-key>'}
};

fetch('https://sapi.withsutro.com/applications/{applicationId}/versions/{version}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "applicationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "serverVersion": "<string>",
  "scode": {},
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Builder authentication and authorization

x-sutro-api-client
string
header
required

A unique identifier for the API Client making a request

Path Parameters

applicationId
string<uuid>
required
version
string
required

A semver compatible version string A version string for an Application

Pattern: ^\d{1,3}\.\d{1,3}\.\d{1,6}$
Example:

"1.2.34"

Response

A new version

A snapshot of an Application

id
string<uuid>
required
Example:

"b08631ad-a4ec-4c27-9995-01287e83d565"

applicationId
string<uuid>
required
serverVersion
string
required

A version string for an Application

Pattern: ^\d{1,3}\.\d{1,3}\.\d{1,6}$
Example:

"1.2.34"

scode
object
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required